Subject: Re: Expiration impending: <draft-ietf-rtgwg-cl-requirement-08.txt>

From: Curtis Villamizar <[email-masked]>
Date: Mon, 04 Feb 2013 15:35:58 -0500

In message <[email-masked]>
IETF Secretariat writes:
 
> The following draft will expire soon:
>  
> Name:     draft-ietf-rtgwg-cl-requirement
> Title:    Requirements for MPLS Over a Composite Link
> State:    I-D Exists
> Expires:  2013-02-13 (in 1 week, 1 day)

Changes so far since 08 are just Andy Malis contact info.

There is one thing I would like to change that I have mentioned
before.

OLD:

  2.  Assumptions

-   The services supported include L3VPN RFC 4364 [RFC4364], RFC 4797
-   [RFC4797]L2VPN RFC 4664 [RFC4664] (VPWS, VPLS (RFC 4761 [RFC4761],
-   RFC 4762 [RFC4762]) and VPMS VPMS Framework
-   [I-D.ietf-l2vpn-vpms-frmwk-requirements]), Internet traffic
   encapsulated by at least one MPLS label (RFC 3032 [RFC3032]), and
   dynamically signaled MPLS (RFC 3209 [RFC3209] or RFC 5036 [RFC5036])
-   or MPLS-TP LSPs (RFC 5921 [RFC5921]) and pseudowires (RFC 3985
-   [RFC3985]).  The MPLS LSPs supporting these services may be point-to-
   point, point-to-multipoint, or multipoint-to-multipoint.

NEW:

  2.  Assumptions

+   The services supported include pseudowire based services [RFC3985],
+   including VPN services, Internet traffic
   encapsulated by at least one MPLS label (RFC 3032 [RFC3032]), and
   dynamically signaled MPLS (RFC 3209 [RFC3209] or RFC 5036 [RFC5036])
+   or MPLS-TP LSPs (RFC 5921 [RFC5921]).  The MPLS LSPs supporting these
+   services may be point-to- 
   point, point-to-multipoint, or multipoint-to-multipoint.

The removal of the reference to I-D.ietf-l2vpn-vpms-frmwk-requirements
eliminates an unnecessary barrier to advancement.  There is no need to
enumerate all of the types of VPN services.

Note that the change is a move of pseudowires from last to first, and
changing the the pseudowires plus the list of VPN services to
"pseudowire based services [RFC3985], including VPN services".

If this is OK with co-authors and the WG, I will make this change and
submit.

Curtis

---

From: Alia Atlas <[email-masked]>
Date: Mon, 4 Feb 2013 15:42:12 -0500

That sounds good to me.

I would really like to see the composite link work advance - preferably by
or just after the next IETF.
I encourage everyone to read and comment on it;  I will do so as well and
send comments separately.

Alia

---

From: Curtis Villamizar <[email-masked]>
Date: Tue, 05 Feb 2013 14:54:01 -0500

In message <CAG4d1rej2s37bt0ESO7NKUm6xjSe1ui=[email-masked]>
Alia Atlas writes:
 
> That sounds good to me.
>  
> I would really like to see the composite link work advance -
> preferably by or just after the next IETF.  I encourage everyone to
> read and comment on it; I will do so as well and send comments
> separately.
>  
> Alia

Alia,

Perhaps we should consider advancing CL Requirements alone.  It has
been quite stable for a long time.  Perhaps repeat last call and
advance to the AD review.

CL Use Cases has also been stable, but it has received so few comments
that it is hard to say there is concensus.  It could stand some
improvement IMHO, and I'm an author.

CL Framework will take some time.  Progress may be needed on some of
the docs referenced by CL Framework before we can consider advancing
it.  Referenced docs should at least all be WG docs with a reasonable
chance of advancing rather than being abandonned.

Curtis

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 6 Feb 2013 15:13:58 -0500

I agree with Curtis' suggested plan to advance CL Requirements now and
continue work on the other two drafts.

Cheers,
Andy

On Tue, Feb 5, 2013 at 2:54 PM, Curtis Villamizar <[email-masked]> wrote:

> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>

---

From: Lucy yong <[email-masked]>
Date: Wed, 6 Feb 2013 20:38:09 +0000

+1

Lucy

From: [email-masked] [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Wednesday, February 06, 2013 2:14 PM
To: Curtis Villamizar
Cc: RTGWG Working Group; So Ning
Subject: Re: Expiration impending: <draft-ietf-rtgwg-cl-requirement-08.txt>

I agree with Curtis' suggested plan to advance CL Requirements now and continue work on the other two drafts.
Cheers,
Andy

On Tue, Feb 5, 2013 at 2:54 PM, Curtis Villamizar <[email-masked]<mailto:[email-masked]>> wrote:

Alia,

Curtis
_______________________________________________
rtgwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtgwg

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 6 Feb 2013 22:44:22 +0000

Same here

Regards,
Jeff

On Feb 6, 2013, at 3:14 PM, "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>> wrote:

Cheers,
Andy

Alia,

Curtis

---

From: Alia Atlas <[email-masked]>
Date: Wed, 6 Feb 2013 18:19:14 -0500

K - so can we get any opinions and comments on CL Use-cases?  I'll take a
read through again and
issue a WG Last Call tomorrow.

Alia

On Wed, Feb 6, 2013 at 5:44 PM, Jeff Tantsura <[email-masked]>wrote:

>  Same here
>
> Regards,
> Jeff
>
> On Feb 6, 2013, at 3:14 PM, "Andrew G. Malis" <[email-masked]>
> wrote:
>
> On Tue, Feb 5, 2013 at 2:54 PM, Curtis Villamizar <[email-masked]>wrote:
>
>>

---

From: Ning So <[email-masked]>
Date: Wed, 6 Feb 2013 22:57:24 +0000

+1

Best regards,

Ning So
Head of Network Architecture
Mobile Broadband Services
Tata Communications
(Cell) 972-955-0914

From: Lucy yong [mailto:[email-masked]]
Sent: Wednesday, February 06, 2013 3:38 PM
To: Andrew G. Malis; Curtis Villamizar
Cc: RTGWG Working Group; Ning So
Subject: RE: Expiration impending: <draft-ietf-rtgwg-cl-requirement-08.txt>

+1

Lucy

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Wednesday, February 06, 2013 2:14 PM
To: Curtis Villamizar
Cc: RTGWG Working Group; So Ning
Subject: Re: Expiration impending: <draft-ietf-rtgwg-cl-requirement-08.txt>

Alia,

Curtis

---

From: Curtis Villamizar <[email-masked]>
Date: Wed, 06 Feb 2013 22:43:34 -0500

In message <CAG4d1re2Kij1jZqmsWkASvv+1bvVSSX+fNBPGy_W-Mcu1n+=[email-masked]>
Alia Atlas writes:
> 
> K - so can we get any opinions and comments on CL Use-cases?  I'll
> take a read through again and issue a WG Last Call tomorrow.
>  
> Alia

Alia,

IMHO we should:

  1.  Focus on a repeat of the last call for CL requirements first.

  2.  Then solicit comments on CL Use Cases.

  3.  Then last call CL Use Cases if there are still no comments on it.

Since time has gone by (a lot) and the document has changed (a little)
we do have to repeat WG last call on CL requirements.

I don't think we should last call both at the same time.  The focus of
most people with limited time to dedicate to this would be a thorough
read of CL Requirements, possible ignoring CL Use Cases.

CL requirements is more important, more thoroughly reviewed, and IMO
more ready to go with minimal if any changes.  I just uploaded 09
(seconds ago) with the changes suggested earlier in this thread and
(so far) agreed to.

Curtis

ps - draft-ietf-rtgwg-cl-requirement
     draft-ietf-rtgwg-cl-use-cases
     - for those looking for these at datatracker.ietf.org